## Bsoft program

# bpick

### Usage: bpick [options] input.star [input2.star ...]

Picks and extracts single particles from 2D (micrograph) or 3D (tomogram) images.

### Actions:

-pick cc | Picking type: cc, var, ring, background (default none).
-orient ref.pif | Orient using a reference map.
| High resolution and symmetry determine number of projections.
-center | Center each particle image (specify resolution limits).
-axis 5,13.6 | Pick on a symmetry axis and distance along the axis (voxels, specify -symmetry).
-extract | Extract particles with this size (voxels, one sets all).
-reconstructions | Operate on reconstruction parameters rather than micrographs.
-add | Adjust micrograph coordinates to particle origins.
-filterextremes | Filter extremes before picking or centering.
-background | Correct background of extracted particles.
-normalize | Normalize extracted particles.
-delete | Delete all non-selected particles.
-split | Split particles into individual files.

### Parameters:

-verbose 7 | Verbosity of output.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-origin 0.8,-10,15.7 | Set the origin (default from input image).
-box 123,145,130 | Particle box size (voxels, one sets all).
-resolution 23.5,200 | Resolution limits for picking and centering (default 0 - 1e6 angstrom).
-fill 127 | Fill value for particles extending beyond image (default background).
-mgpath dir/subdir | Set the micrograph file paths.
-pspath dir/subdir | Set the power spectrum file paths.
-partpath dir/subdir | Set the particle file paths.
-base subvol | Set the particle base file name (no extension).
-extension pif | Set the particle image file format.

### Parameters for picking particles:

-average 11 | Averaging/smoothing kernel size.
-exclusion 210 | Minimum distance between particles (default 0.8*x-size).
-bin 2 | Binning to apply (default 1).
-fom 0.1 | Selecting picked particles based on FOM (default 0).

### Parameters for picking particles in variance map:

-variance 51 | Calculate a local variance image using the given size kernel.
-sigma 2.5 | Sigma units above average to select particles (default 5).
-maximum 241 | Maximum number of background areas to pick (default 1000000).

### Parameters for picking particles by ring pattern:

-diameters 115,130 | Particle and background ring diameters.
-contrast black | Foreground (particles) are white or black (default).
-angle 2.5 | Angular increment (default 1 degree).
| Parameter for orienting and selecting a symmetry axis:
-symmetry C5 | Point group symmetry (used with -orient and -axis).

### Input:

-Template file.map | Input template file for picking by cross-correlation.
-Mask file.map | Input frequency space mask file.
-compare file.star | Input parameter file for comparison.

### Output:

-output file.star | Output parameter file.

Bsoft version 2.0.3-20180917 (64 bit)